Foreman - Bug #14586

Default settings for Partition Tables and Provisioning Templates are ignored for seeded templates
04/12/2016 03:18 AM - Marek Hulan

Status: Closed
Priority: Normal
Assignee: Marek Hulén
Category: Organizations and Locations
Target version: 1.11.1
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: 1324177 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/3416
Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1324177
Description of problem:

The current Sat6.2 Beta SNAP has no default setting for a Partition Table assigned to the initial organization / location

Version-Release number of selected component (if applicable):
katello 3.0.0. 3.el7sat
foreman 1.11.0.9 1.el7sat

foreman-installer --scenario katello -v -d \
--foreman-admin-password $PASSWORD \
--foreman-initial-organization $ORG \
--foreman-initial-location $LOC \
--foreman-proxy-dns true \
--foreman-proxy-dns-interface $SAT_INTERFACE \
--foreman-proxy-dns-zone $DOMAIN \
--foreman-proxy-dns-forwarders $DNS \
--foreman-proxy-dns-reverse $DNS_REV \
--foreman-proxy-dhcp true \
--foreman-proxy-dhcp-interface $SAT_INTERFACE \
--foreman-proxy-dhcp-range "$DHCP_RANGE" \
--foreman-proxy-dhcp-gateway $DHCP_GW \
--foreman-proxy-dhcp-nameservers $DHCP_DNS \
--foreman-proxy-tftp true \
--foreman-proxy-tftp-servername $(hostname) \
--capsule-puppet true \

--foreman-proxy-puppetca true \
--foreman-proxy-plugin-remote-execution-ssh-enabled true \
--enable-foreman-proxy-plugin-remote-execution-ssh \
--foreman-proxy-tftp true \
--enable-foreman-plugin-discovery \
--certs-server-ca-cert /root/cert/ipa-ca.crt \
--certs-server-key /root/cert/key.pem \
--certs-server-cert /root/cert/sat62.crt \
--certs-server-cert-req /root/cert/sat62.csr

No default Partition Table is available in the initial organization
| have to manually assign the "Kickstart default" to $ORG and $LOC

Related issues:
Related to Boot disk - Bug #14682: Seeded templates are not associated with o... Closed 04/18/2016
Copied from Katello - Bug #14574: Default settings for Partition Tables and P... Rejected 04/11/2016

Associated revisions
https://bugzilla.redhat.com/show_bug.cgi?id=1324177

Revision 2fb0d8d1 - 04/13/2016 05:40 AM - Marek Hulan

Fixes #14586 - Associate default templates to Orgs and Locs during seed

Revision e17a39ff - 04/18/2016 01:45 PM - Marek Hulan

Fixes #14586 - Associate default templates to Orgs and Locs during seed

(cherry picked from commit 2fb0d8d129588a71dcb953b12fe84d2fd8154467)

History

#1 - 04/12/2016 03:18 AM - Marek Hulan
- Copied from Bug #14574: Default settings for Partition Tables and Provisioning Templates are broken added

#2 - 04/12/2016 03:19 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/3416 added

#3 - 04/13/2016 06:01 AM - Marek Hulan
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 2b0d8d129588a71dcb953b12fe84d2fd8154467.

#4 - 04/13/2016 11:08 AM - Dominic Cleal

- translation missing: en.field_release set to 141

#5 - 04/18/2016 06:43 AM - Marek Hulan

- Related to Bug #14682: Seeded templates are not associated with organizations and locations even though they are default added
